# Radio Telescope Digital Signal Processing (RTDSP) python package.

## Description
The RTDSP package contains DSP functions for experimenting with DSP in Python jupyter notebooks.

## Usage in jupyter notebook cell:
```
# Auto reload module when it is changed
%load_ext autoreload
%autoreload 2

# # Alternative auto reload module:
# import importlib
# importlib.reload(dsp)

# Add rtdsp module path to $PYTHONPATH
import os
import sys
module_path = os.path.abspath(os.path.join('<relative from notebook or absolute path to module>'))
if module_path not in sys.path:
    sys.path.insert(0, module_path)

# Import
from rtsdp.firfilter import <list of items>
# or
import rtsdp.firfilter as firfilter
```
