"""Init file for the Radio Telescope Digital Signal Processing (RTDSP) package.

Modules:
. utilities : Basic functions used in the other modules
. windows   : Windows functions for filter design
. fourier   : DFT based functions
. hilbert   : Hilbert transform
. firfilter : FIR filter design
. iirfilter : IIR filter design
. multirate : Multirate functions for resampling
. plotting  : Plotting impulse responses and spectra

References:
[1] dsp_study_erko.txt
[2] https://github.com/chipmuenk, with dsp library and pyfda = python filter design analysis tool
"""
